Package ru.bitel.bgbilling.modules.bill.server.bean

# Class EmailMaster

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.server.bean.EmailMaster

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class EmailMaster extends IdContractId

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `EmailMaster.MailData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailMaster(Setup setup, Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttach(MailData mailData, String key)`
  `void`
  `addMessage(MailData mailData, String key)`
  `String`
  `getEmail()`
  `String`
  `getSubject()`
  `EmailMaster`
  `setContractId(int contractId)`
  Устанавливает данные договора.
  `EmailMaster`
  `setDocumentId(DocumentSendParameters.SendingDataType type, int id)`
  Устанавливает кода документа.

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmailMaster

    public EmailMaster(Setup setup, Connection con, int moduleId, int userId)

- ## Method Details

  - ### setDocumentId

    public EmailMaster setDocumentId(DocumentSendParameters.SendingDataType type, int id)
    Устанавливает кода документа.
    Parameters:
      `id` -

  - ### setContractId

    public EmailMaster setContractId(int contractId)
    Устанавливает данные договора.
    Overrides:
      `setContractId` in class `IdContractId`
    Parameters:
      `contractId` - если invalid input: '<'=0 - то договор берётся по данным документа, иначе - явное задание.

  - ### getEmail

    public String getEmail() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSubject

    public String getSubject()

  - ### addAttach

    public void addAttach(MailData mailData, String key) throws Exception
    Throws:
      `Exception`

  - ### addMessage

    public void addMessage(MailData mailData, String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`